MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024578Community[OCCT] OCCT:Documentationpublic2014-01-28 14:342014-05-05 13:39
ReporterTimo 
Assigned Toapn 
PrioritynormalSeveritytext 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024578: Typos in Developer Guide "Building OCCT from sources"
DescriptionThe second sentence in the Introduction of "Building 3rd-party libraries on Windows" is:

"This guide assumfamiliar with MS Visual Studio / Visual C++."

Probably, it should be:

"This guide assumes familiarity with MS Visual Studio / Visual C++."
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027661)
Timo (developer)
2014-01-28 16:41
edited on: 2014-01-28 16:44

Additionally, the formatting should be corrected in "Using WOK", section "Generation of building Projects"
The line:
"•xcd - Xcode -no_wprocess - skip generation of derived headers and source files"

should be on two lines because "-no_wprocess" is independent of option xcd. It is not a target so there should be a blank line to separate the targets from this option.

(0028592)
ysn (developer)
2014-04-01 15:56

Dev guides for building 3rd party products and "short guide" to WOK have been reviewed (not only the issues indicated by the Reported, but many others).
(0028807)
abv (manager)
2014-04-12 13:24

No remarks, please integrate. The branch CR24578 is rebased on current master

- Related Changesets
occt: master 77906c4c
Timestamp: 2014-04-01 11:53:48
Author: ysn
Committer: apn
Details ] Diff ]
0024578: Typos in Developer Guide "Building OCCT from sources"

Dev guides for building 3rd party products and "short guide" to WOK have been reviewed.
mod - dox/dev_guides/building/3rdparty/3rdparty_linux.md Diff ] File ]
mod - dox/dev_guides/building/3rdparty/3rdparty_osx.md Diff ] File ]
mod - dox/dev_guides/building/3rdparty/3rdparty_windows.md Diff ] File ]
mod - dox/dev_guides/building/wok/wok.md Diff ] File ]
mod - dox/dev_guides/documentation/documentation.md Diff ] File ]
mod - dox/dev_guides/wok/wok.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-28 14:34 Timo New Issue
2014-01-28 14:34 Timo Assigned To => ysn
2014-01-28 16:41 Timo Note Added: 0027661
2014-01-28 16:42 Timo Summary Typo in Developer Guide "Building 3rd-party libraries on Windows " => Typo in Developer Guide "Building OCCT from sources"
2014-01-28 16:42 Timo Description Updated View Revisions
2014-01-28 16:43 Timo Summary Typo in Developer Guide "Building OCCT from sources" => Typos in Developer Guide "Building OCCT from sources"
2014-01-28 16:44 Timo Note Edited: 0027661 View Revisions
2014-04-01 15:56 ysn Note Added: 0028592
2014-04-01 15:56 ysn Assigned To ysn => abv
2014-04-01 15:56 ysn Status new => feedback
2014-04-01 16:11 ysn Status feedback => resolved
2014-04-12 13:24 abv Note Added: 0028807
2014-04-12 13:24 abv Assigned To abv => bugmaster
2014-04-12 13:24 abv Status resolved => reviewed
2014-04-15 15:10 apn Status reviewed => tested
2014-04-15 15:11 apn Test case number => Not needed
2014-04-18 16:02 apn Changeset attached => occt master 77906c4c
2014-04-18 16:02 apn Assigned To bugmaster => apn
2014-04-18 16:02 apn Status tested => verified
2014-04-18 16:02 apn Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 user533 Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker